﻿using System.Windows;
using Infragistics.Windows.DataPresenter;
using System;
using System.Windows.Input;

namespace Infragistics.Extensions
{
    public class XamDataPresenter
    {
        #region FieldAdornerSettings

        public static readonly DependencyProperty FieldAdornerSettingsProperty = DependencyProperty.RegisterAttached("FieldAdornerSettings", typeof(FieldAdornerSettings), typeof(XamDataPresenter), new UIPropertyMetadata(null, OnFieldAdornerSettingsChanged));
        public static FieldAdornerSettings GetFieldAdornerSettings(DependencyObject target)
        {
            return (FieldAdornerSettings)target.GetValue(FieldAdornerSettingsProperty);
        }
        public static void SetFieldAdornerSettings(DependencyObject target, FieldAdornerSettings value)
        {
            target.SetValue(FieldAdornerSettingsProperty, value);
        }
        private static void OnFieldAdornerSettingsChanged(DependencyObject o, DependencyPropertyChangedEventArgs e)
        {
            OnFieldAdornerSettingsChanged((DataPresenterBase)o, (FieldAdornerSettings)e.OldValue, (FieldAdornerSettings)e.NewValue);
        }
        private static void OnFieldAdornerSettingsChanged(DataPresenterBase presenter, FieldAdornerSettings oldValue, FieldAdornerSettings newValue)
        {
            if (oldValue != null)
                oldValue.Detach();

            if (newValue != null)
                newValue.Attach(presenter);
        }

        #endregion //FieldAdornerSettings
    }
}